<template>
	<view class="ad-view"></view>
</template>

<script>
let rewardedVideoAd = null;
export default {
	data() {
		return {
			title: 'createRewardedVideoAd'
		};
	},
	onReady() {
		
		 
		// if (uni.createRewardedVideoAd) {
		// 	rewardedVideoAd = uni.createRewardedVideoAd({ adUnitId: 'adunit-e69177f2b96ced8c' });
		// 	rewardedVideoAd.onLoad(() => {
		// 		console.log('onLoad event');
		// 		rewardedVideoAd.show()
		// 		.then(() => console.log('激励视频 广告显示'))
		// 	});
		// 	rewardedVideoAd.onError(err => {
		// 		rewardedVideoAd.show()
		// 		.catch(() => {
		// 		    rewardedVideoAd.load()
		// 		    .then(() => rewardedVideoAd.show())
		// 		    .catch(err => {
		// 		      console.log('激励视频 广告显示失败')
		// 		    })
		// 		})
		// 	});
		// 	rewardedVideoAd.onClose(res => {
		// 		if(!rewardedVideoAd) return
		// 		rewardedVideoAd.offClose()
				
		// 		console.log('=====')
		// 		console.log(res)
		// 	    // 用户点击了【关闭广告】按钮
		// 	    if (res && res.isEnded) {
		// 	      // 正常播放结束
		// 	    } else {
		// 	      // 播放中途退出
				  
		// 	    }
		// 	})
		// }
	},
	methods: {
		isLoad(){
			rewardedVideoAd.show()
			.catch(() => {
			    rewardedVideoAd.load()
			    .then(() => rewardedVideoAd.show())
			    .catch(err => {
			      console.log('激励视频 广告显示失败')
			    })
			})
		}
	}
};
</script>

<style scoped></style>
